cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher Oliver <res1c...@verizon.net>
Subject Re: Build error in Velocity....
Date Sun, 06 Jul 2003 22:17:06 GMT
Christopher Oliver wrote:

> Carsten Ziegeler wrote:
>
>> Christopher Oliver wrote:
>>  
>>
>>> This is because the scratchpad build doesn't depend on the block build.
>>> There were duplicate jars that Carsten removed. Either we need to put
>>> them back or we need to figure out how to make scratchpad depend
>>> on blocks.
>>>
>>>   
>>
>> Yes, I haven't noticed that the scratchpad used this lib (eclipse 
>> compiles
>> anyway). Sorry.
>>
>> But duplicated jars are not only waste of disk spaces and band width but
>> also they can become a night mare. Thing about having two different 
>> versions
>> in scratchpad and the velocity block. Which version will be used 
>> later on
>> in your webapp?
>>
> True, but this is only scratchpad code. The problem is that there is 
> no easy way to experiment with extending or modifying blocks in the 
> scratchpad, because blocks are available to the scratchpad build.

Of course, I meant to say "blocks are _not_ available to the scratchpad 
build".

>
>> So, I see three cleaner solutions (with no preference)
>> a) Move the stuff from the scratchpad to the velocity block
>>
> This will happen eventually. I've replaced the velocity jar you 
> removed until then.
>
>> b) Move the velocity jar to lib/optional so it's jused by scratchpad and
>> blocks
>>
> Adding a jar that isn't used by the core to the core is not cleaner IMO.
>
>> c) Add mock classes to the scratchpad, so the lib is not needed for
>> compilation
>>  
>>
> Too much work for scratchpad code.
>
>> Carsten
>>
>>  
>>
>>> Chris
>>>
>>> Antonio Gallardo wrote:
>>>
>>>   
>>>
>>>> Hi:
>>>>
>>>> I just downloaded the lastest change in the CVS. After a build
>>>>     
>>>
>>> clean I got:
>>>   
>>>
>>>> /cocoon-2.1/src/scratchpad/src/org/apache/cocoon/generation/FlowV
>>>>     
>>>
>>> elocityGenerator.java:85:
>>>   
>>>
>>>> package org.apache.velocity does not exist
>>>> import org.apache.velocity.VelocityContext;
>>>>
>>>>
>>>> Then a build failed.
>>>>
>>>> Best Regards,
>>>>
>>>> Antonio Gallardo
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>     
>>>
>>>   
>>
>>
>>
>>  
>>
>
>
>



Mime
View raw message